XIL-SFX(1)

NAME
xil-sfx

SYNOPSIS
xil-sfx [-h] (--episode EPISODE | --tag TAG) [--show SHOW] [--script SCRIPT] [--dry-run] [--max-duration MAX_DURATION] [--gen-sfx] [--gen-music] [--gen-ambience] [--sfx-music] [--local-only]

DESCRIPTION
Generate SFX stems from an SFX config (standalone utility)

OPTIONS

--episode EPISODE
    Episode tag (e.g. S01E01) — derives cast and SFX config paths

--tag TAG
    Raw tag for non-episodic content (e.g. V01C03, D01)

--show SHOW
    Show name override (default: from project.json)

--script SCRIPT
    Path to parsed script JSON (default: derived from cast config)

--dry-run
    Preview existing vs. new stems and estimated credit cost

--max-duration MAX_DURATION
    Only process effects with duration_seconds <= this value

--gen-sfx
    Limit to SFX and BEAT entries only

--gen-music
    Limit to MUSIC entries only

--gen-ambience
    Limit to AMBIENCE entries only

--sfx-music
    (deprecated) shorthand for --gen-sfx --gen-music --gen-ambience

--local-only
    Only place stems for effects already present in SFX/; skip API generation

SEE ALSO
xil(1), xil-scan(1), xil-parse(1), xil-cues(1), xil-produce(1), xil-assemble(1), xil-studio-onboard(1), xil-daw(1), xil-migrate(1), xil-cleanup(1), xil-import(1), xil-regen(1), xil-master(1), xil-voices(1), xil-csv-join(1), xil-sfx(1), xil-sample(1), xil-sfx-lib(1), xil-splice(1), xil-mp3-hash(1), xil-migrate-workspace(1), xil-init(1)

AUTHOR
John Brissette <xilcmd@gmail.com>